import { Editor, Element } from 'slate';
import { nodeIsTextNode } from '../types';
export const isLastSelectedElementEmpty = (editor) => {
    var _a, _b;
    if (!editor.selection)
        return false;
    const currentlySelectedNodes = Array.from(Editor.nodes(editor, {
        at: Editor.unhangRange(editor, editor.selection),
        match: (n) => !Editor.isEditor(n) && Element.isElement(n) && (!n.type || n.type === 'p'),
    }));
    const lastSelectedNode = currentlySelectedNodes === null || currentlySelectedNodes === void 0 ? void 0 : currentlySelectedNodes[(currentlySelectedNodes === null || currentlySelectedNodes === void 0 ? void 0 : currentlySelectedNodes.length) - 1];
    return lastSelectedNode && Element.isElement(lastSelectedNode[0])
        && (!lastSelectedNode[0].type || lastSelectedNode[0].type === 'p')
        && nodeIsTextNode((_a = lastSelectedNode[0].children) === null || _a === void 0 ? void 0 : _a[0])
        && ((_b = lastSelectedNode[0].children) === null || _b === void 0 ? void 0 : _b[0].text) === '';
};
