import React from 'react';
import Cell from './Cell';
import SortColumn from '../../../elements/SortColumn';
import { fieldIsPresentationalOnly } from '../../../../../fields/config/types';
import flattenFields from '../../../../../utilities/flattenTopLevelFields';
const buildColumns = ({ collection, columns, t, cellProps, }) => {
    const flattenedFields = flattenFields([
        ...collection.fields,
        {
            name: 'id',
            type: 'text',
            label: 'ID',
        },
        {
            name: 'updatedAt',
            type: 'date',
            label: t('updatedAt'),
        },
        {
            name: 'createdAt',
            type: 'date',
            label: t('createdAt'),
        },
    ], true);
    return (columns || []).reduce((cols, col, colIndex) => {
        let field = null;
        flattenedFields.forEach((fieldToCheck) => {
            if (fieldToCheck.name === col) {
                field = fieldToCheck;
            }
        });
        if (field) {
            return [
                ...cols,
                {
                    accessor: field.name,
                    components: {
                        Heading: (React.createElement(SortColumn, { label: field.label || field.name, name: field.name, disable: (field.disableSort || fieldIsPresentationalOnly(field)) || undefined })),
                        renderCell: (rowData, cellData) => {
                            return (React.createElement(Cell, { key: JSON.stringify(cellData), field: field, colIndex: colIndex, collection: collection, rowData: rowData, cellData: cellData, link: colIndex === 0, ...(cellProps === null || cellProps === void 0 ? void 0 : cellProps[colIndex]) || {} }));
                        },
                    },
                },
            ];
        }
        return cols;
    }, []);
};
export default buildColumns;
